Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:      	weechat
Summary:   	Portable, fast, light and extensible IRC client
Version:   	0.2.6
Release:   	2
Source:    	http://weechat.flashtux.org/download/%{name}-%{version}.tar.bz2
URL:       	http://weechat.flashtux.org
Group:     	Networking/Chat
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
License:   	GPL
#Automatically resolved build dependencies
BuildRequires: aspell-devel
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libtasn1-devel
BuildRequires: ncurses-devel
BuildRequires: ruby-libs

%description
WeeChat (Wee Enhanced Environment for Chat) is a portable, fast, light and
extensible IRC client. Everything can be done with a keyboard.
It is customizable and extensible with scripts.

%prep
%setup -q

%build
%configure \
  --disable-rpath \
  --enable-static=no
#  --with-doc-xsl-prefix=/usr/share/sgml/docbook/xsl-stylesheets

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

# This hardcoded docdir=... in Makefile.am is crap

mv $RPM_BUILD_ROOT%{_docdir}/%{name}/html .
mv $RPM_BUILD_ROOT%{_docdir}/%{name}/weechat_quickstart* .

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}.lang
%defattr(-,root,root,0755) 
%doc AUTHORS BUGS ChangeLog COPYING FAQ FAQ.fr INSTALL NEWS README TODO html weechat_quickstart*
%{_mandir}/man1/%{name}-curses.1*
%{_bindir}/%{name}-curses
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*

%changelog
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.2.6-2
- rebuild against gnutls-2.6.4
- added auto BR
* Wed Dec 05 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.6-1
- Initial release